Bug 1789013 - RHEL 8 appstream repositories are not published correctly in a content view
Summary: RHEL 8 appstream repositories are not published correctly in a content view
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.7.0
Assignee: Partha Aji
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-08 15:17 UTC by Justin Sherrill
Modified: 2020-04-28 07:01 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0.7-1,pulp-rpm-2.21.0.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28722 Normal Closed As a user I want to be able to upgrade task to reset is_modular 2020-05-06 13:06:02 UTC
Pulp Redmine 5942 Normal CLOSED - CURRENTRELEASE centos 8 appstream non-modular rpms are marked as modular 2020-03-05 18:47:55 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:22 UTC

Description Justin Sherrill 2020-01-08 15:17:38 UTC
Description of problem:

Content view publishing of the RHEL 8 appstream repository does not work properly.  It does not actually copy non-modular rpms that are contained in the appstream repo (like git).

Version-Release number of selected component (if applicable):
6.7.0 (any snap)

How reproducible:
Always

Steps to Reproduce:
1.  Sync RHEL 8 os and appstream
2.  Publish it in a CV with no filters
3.  Subscribe a system to the content view
4.  Try to yum install git

Actual results:
git package is not available

Expected results:
git package is available


Additional info:
Note, that if you grep the generated primary.xml file for "<package ", you'll see far fewer rpms in the cv version than the 'Library' version.  (~400 instead of ~5000)

Comment 3 Justin Sherrill 2020-01-08 15:20:18 UTC
This was reported by upstream users here: https://community.theforeman.org/t/need-help-wih-centos-8-content-view/16621/15

Comment 4 Justin Sherrill 2020-01-08 15:31:21 UTC
This will require a katello change to properly pull in the 'fixed' data from pulp.

Comment 6 pulp-infra@redhat.com 2020-01-08 16:01:45 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2020-01-08 16:01:46 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 8 Tanya Tereshchenko 2020-01-09 11:38:46 UTC
The issue happens when a repo has at least one module with no artifacts.
In case of Centos/RHEL 8, it's perl 5.26.

Another problem which this bug triggers is during removal of a module without artifacts - all rpms are removed from a repo. E.g. if you try to remove perl 5.26 module, all RPMs will be unassociated from a repo and it takes a lot of time (in case of centos repo ~1h) for the task to complete.

Comment 9 Tanya Tereshchenko 2020-01-09 14:04:23 UTC
(In reply to Tanya Tereshchenko from comment #8)
 
> Another problem which this bug triggers is during removal of a module
> without artifacts - all rpms are removed from a repo. E.g. if you try to
> remove perl 5.26 module, all RPMs will be unassociated from a repo and it
> takes a lot of time (in case of centos repo ~1h) for the task to complete.

False alarm. Retested removal on the fresh box, it's fine.

The root cause for this BZ stays the same and correct.

Comment 10 pulp-infra@redhat.com 2020-01-09 18:04:55 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 11 pulp-infra@redhat.com 2020-01-09 18:31:36 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 12 Partha Aji 2020-01-10 19:20:39 UTC
Connecting redmine issue https://projects.theforeman.org/issues/28722 from this bug

Comment 13 Patrick Creech 2020-01-14 13:27:57 UTC
Moving back to new, as the foreman issue is not complete

Comment 14 Bryan Kearney 2020-01-15 01:06:16 UTC
Upstream bug assigned to paji@redhat.com

Comment 15 Bryan Kearney 2020-01-15 01:06:18 UTC
Upstream bug assigned to paji@redhat.com

Comment 16 Brad Buckingham 2020-01-16 21:48:17 UTC
The katello PR has been merged as well.  Moving back to POST.

Comment 20 pulp-infra@redhat.com 2020-02-27 17:02:34 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 21 pulp-infra@redhat.com 2020-03-05 18:47:56 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 24 errata-xmlrpc 2020-04-14 13:28:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.